Subject: Compilation error: KVM support for PowerPC book3s_64 processors

From: "Linux User #330250" <[email-masked]>
Date: Thu, 3 Jun 2010 16:10:06 +0200

Hello!

My hardware: Apple Power Mac G5 "Late 2005"

I've just compiled kernel 2.6.34 for Gentoo Linux.
# ACCEPT_KEYWORDS="~ppc64" emerge -1 sys-kernel/gentoo-sources-2.6.34

I tried the "KVM support for PowerPC book3s_64 processors" just to see if what 
I could do with KVM on my Apple Power Mac G5 with IBM PowerPC 970MP processor. 
Apperently it isn't supported by this CPU. Or am I wrong?

Anyway, I get errors that indicate this option requires some VSX support, 
which isn't supported by IBM POWER4+/PowerPC G5. I cannot post the complete 
error message right now, but maybe some of you can try it.

Processor support  --->
[*] AltiVec Support
[ ]   VSX Support

[*] Virtualization  --->
<*>   KVM support for PowerPC book3s_64 processors

Some maybe relevant .config options:
CONFIG_PPC_BOOK3S_64=y
CONFIG_PPC_BOOK3S=y
CONFIG_POWER4_ONLY=y
CONFIG_POWER4=y
CONFIG_PPC_FPU=y
CONFIG_ALTIVEC=y
…
CONFIG_PPC_PMAC=y
CONFIG_PPC_PMAC64=y
…
CONFIG_KVM_MMIO=y
CONFIG_VIRTUALIZATION=y
CONFIG_KVM=y
CONFIG_KVM_BOOK3S_64_HANDLER=y
CONFIG_KVM_BOOK3S_64=y

Maybe I've got something wrong though… Or there are other dependencies, like 
CONFIG_VSX that are not met.

Let me know if I can help to test something.
Cheers,
Andreas.